include ../Makefile.rules

OBJ = gui.o \
	  gui_window.o \
	  gui_button.o \
	  gui_list.o \
	  gui_entry.o \
	  gui_label.o \
	  gui_image.o 

SRC = $(OBJ:%.o=%.c)

all: libgui.a

libgui.a: $(OBJ)
	$(AR) rcs libgui.a $(OBJ)

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

clean:
	rm -rf *.o
	rm -rf *.a
	rm -rf *~
	rm -rf $(DEPENDFILE)


-include $(DEPENDFILE)


